/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package sync4j.syncclient.blackberry.parser;

import javax.microedition.pim.Contact;

/**
 * <code>ContactParser</code> provides with interfaces required for parsing
 * vcard information
 *
 * @author santoshs email:info@telibrahma.com
 * @author Fabio Maggi @ Funambol
 * $Id: ContactParser.java,v 1.0
 *
 */

public interface ContactParser {

    /**
     * Parse a string representation of a contact to BlackBerry Contact
     *
     * @param contactString
     * @return
     */
    public Contact parseContact(String contactString);

    /**
     * converts a BlackBerry Contact to a string format.
     *
     * @param contact
     * @return
     */
    public String toString(Contact contact);

}
