/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package sync4j.syncclient.sps;

/**
 *
 * Represents a <i>"update"</i> error on device database.
 *
 * @version $Id: DataAccessException.java,v 1.4 2006/02/07 09:47:17 luigiafassina Exp $
 */
public class DataAccessException extends Exception {

    private Throwable cause;
    /**
     * Creates a new instance of <code>DataAccessException</code> without detail message.
     */
    public DataAccessException(Throwable cause) {
        super();
        this.cause = cause;
    }

    /**
     * Constructs an instance of <code>DataAccessException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public DataAccessException(String msg) {
        super(msg);
    }
    
    public void printStackTrace() {
        super.printStackTrace();
        if(cause != null)
            cause.printStackTrace();
    }
}